Availability of this feature in production depends on your allowed live configuration.
Please contact Global Payments before coding this feature to confirm it will be available to you when you go live.
This guide focuses on verifying a customer’s payment card and checking the balance of an EBT debit card (US only) before a sale.
In some cases, you may want to confirm a payment method can be used in the creation of a transaction. The verify function allows you to query a card and determine if it's available for payment.
The main thing to know about verify:
Before starting the steps in this guide, you must do the following:
In this step, we verify a card to confirm that it can be used in a transaction.
{
"id": "VER_uzFr7t4VOqxdLDI44hHmXIjHtOOE8d",
"time_created": "2021-05-03T21:23:39.718Z",
"status": "VERIFIED",
"channel": "CP",
"currency": "USD",
"country": "US",
"merchant_id": "MER_c4c0df11039c48a9b63701adeaa296c3",
"merchant_name": "Sandbox_merchant_2",
"account_id": "TRA_86920f927028745yt34d077d88beb29b",
"account_name": "transaction_processing",
"reference": "becf9f3e-4d33-459c-8ed2-0c4affc9555e",
"payment_method": {
"id": "PMT_31087d9c-e68c-4389-9f13-39378e166ea5",
"result": "string",
"message": "string",
"entry_mode": "MOTO",
"fingerprint_presence_indicator": "EXISTS",
"fingerprint": "string",
"card": {
"masked_number_last4": "XXXXXXXXXXXX7025",
"brand": "VISA",
"brand_reference": "string",
"cvv_result": "MATCHED",
"avs_address_result": "MATCHED",
"avs_postal_code_result": "MATCHED",
"avs_action": "PROMPT"
}
},
"action": {
"id": "ACT_uzFr7t4VOqxdLDI44hHmXIjHtOOE8d",
"type": "VERIFY",
"time_created": "2021-05-03T21:23:39.718Z",
"result_code": "SUCCESS",
"app_id": "uzFr7t4VOqxdLDI44hHmXIjHtOOE8d",
"app_name": "my_lovely_app"
}
}By adding the funding and pin_block parameters to the request, the verification will return the available_balance field in the response — underneath the card object. This allows you to query an EBT card for its current balance.
curl --compressed -X POST "https://apis.sandbox.globalpay.com/ucp/verifications" \
-H "Authorization: Bearer G3FA4TuYGCBiCWs4YpzrALGCYXZJ" \
-H "X-GP-Version: 2021-03-22" \
-H "Content-type: application/json" \
-H "Accept: application/json" \
-d
“{
"account_name": "Transaction_Processing",
"channel": "CNP",
"currency": "USD",
"reference": "MY_TRANS_REF_12345",
"country": "US",
"payment_method": {
"name": "James Mason",
"entry_mode": "ECOM",
"card": {
"number": "4263970000005262",
"expiry_month": "05",
"expiry_year": "25"
"funding": "CASH_BENEFITS",
"pin_block": "{{test card PIN block}}"
}
}
}”{
"id": "VER_uzFr7t4VOqxdLDI44hHmXIjHtOOE8d",
"time_created": "2021-05-03T21:23:39.718Z",
"status": "VERIFIED",
"channel": "CP",
"currency": "USD",
"country": "US",
"merchant_id": "MER_c4c0df11039c48a9b63701adeaa296c3",
"merchant_name": "Sandbox_merchant_2",
"account_id": "TRA_86920f927028745yt34d077d88beb29b",
"account_name": "transaction_processing",
"reference": "becf9f3e-4d33-459c-8ed2-0c4affc9555e",
"payment_method": {
"id": "PMT_31087d9c-e68c-4389-9f13-39378e166ea5",
"result": "string",
"message": "string",
"entry_mode": "MOTO",
"fingerprint_presence_indicator": "EXISTS",
"fingerprint": "string",
"card": {
"masked_number_last4": "XXXXXXXXXXXX7025",
"available_balance": "1600",
"brand": "EBT",
"brand_reference": "string",
"cvv_result": "MATCHED",
"avs_address_result": "MATCHED",
"avs_postal_code_result": "MATCHED",
"avs_action": "PROMPT"
}
},
"action": {
"id": "ACT_uzFr7t4VOqxdLDI44hHmXIjHtOOE8d",
"type": "VERIFY",
"time_created": "2021-05-03T21:23:39.718Z",
"result_code": "SUCCESS",
"app_id": "uzFr7t4VOqxdLDI44hHmXIjHtOOE8d",
"app_name": "my_lovely_app"
}
}To get a deeper understanding of this function, we recommend that you use our provided integration references for both API and SDK integrations. For the full detailed API specification, see the API Explorer.
Generate an access token.
See the verifications endpoint used for all verify functions.
Add server-side or client-side code to your integration.
Verifications are available for testing in our free Sandbox environment for registered users of this developer portal. Use our resources below to start testing different scenarios.